package ru.yandex.qe.dispenser.client.v1;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.TestOnly;

@Deprecated
public interface PersonRequestBuilder<T, B extends PersonRequestBuilder<T, B>> {
    @NotNull
    @TestOnly
    T performBy(@NotNull DiPerson person);

    @NotNull
    B withReqId(@NotNull String reqId);
}
